• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required)

    iFath is an SHSH and APticket dumping application for Windows.

    If you're on iOS 5.0.1 already, then you're out of luck. Fortunately, those of us still on iOS 5.0 can save not only our SHSH blobs but also our APtickets, which are used in Apple's new firmware verification process. What does that mean? It means that if you're on iOS 5.0 right now, and you mess your iDevice up and need to restore (updates to iOS 5.0.1) then you can downgrade back to iOS 5.0 granted you used iFaith to save your APticket before you restored.

    Just to emphasize, if you are on iOS 5.0.1 already, you CANNOT downgrade to iOS 5.0. This is for people who have saved their APtickets on iOS 5.0 as they will be the only ones who can downgrade back from iOS 5.0.1 to iOS 5.0.

    An APticket is a piece of information. It's like a screenshot in a sense. When you are using Apple's iOS 5.0 firmware, your device has an APticket saved for iOS 5.0. When you update to iOS 5.0.1, your APticket changes to an iOS 5.0.1 APticket. This is how Apple keeps you from downgrading. By using iFaith, you can save not only your SHSH blobs, but also your current (iOS 5.0) APticket. That means that you can use the APticket that you had for iOS 5.0 to downgrade back to iOS 5.0 from iOS 5.0.1 since your iOS 5.0 APticket is still valid. If you don't save your APticket when you are on iOS 5.0, then your new APticket is the one that is given to you by iOS 5.0.1 which means that you don't have an APticket for iOS 5.0. Since you won't have an APticket for iOS 5.0 and you only have one for iOS 5.0.1, you can't downgrade back to iOS 5.0; iOS 5.0.1 is the lowest you will be able to go.

    Hopefully I clarified that enough for you all, honestly I barely even knew what iFaith did and I needed to research it a bit myself so bear with me.

    Currently, iFaith only supports Windows, as iH8sn0w is a Windows user himself. He is also the famed developer behind Sn0wbreeze which is also a Windows-only jailbreak tool. At this point in time, we don't know if a Mac version will be released, but all Macs can run Windows, so there's no issue with compatibility here.

    iFaith 1.4 for Windows can be downloaded for free here.

    iFaith release notes:
    PHP Code:
    iFaith v1.4 Release notes:
    ======================================
    Now dumps iOS 4.4.(Apple TV 2)/5.0.x apticket SHSH blobs!
    Dumping is MUCH faster.
    Full Windows XP support.
    Major code improvements.
    Bug fixes.

    **************************************
    ** 
    DOES NOT SUPPORT A5 DEVICES YET! **
    **************************************

    ======================================
    Now available athttp://iH8sn0w.com
    ======================================
    // iH8sn0w

    "You gotta believe in the voltage that lives inside us,
    So lets buckle up and break our walls down. (Whooooaahhoo)"
    -- @Skrillex 
    I recommend dumping your SHSH and APtickets if you're on iOS 5.0. It will make downgrading back to iOS 5.0 possible for you in the future (in fact, right now). Will you be downloading and using iFaith 1.4? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required) started by Anthony Bouchard View original post
    Comments 115 Comments
    1. MuscleNerd's Avatar
      MuscleNerd -
      Quote Originally Posted by Z!G View Post
      Um have you read anything on this thread. That is what iFaith does. That is the whole point of saving SHSH and APTickets.
      So the answer is yes. I recommend you download iFaith version 1.4 rite now. Dump your 5.0.1 blobs, and bulid an IPSW with them.
      Just a heads up: if you're not already on 5.0.1, just use the latest TinyUmbrella to grab your blobs + APTicket (the latest version does this)...don't bother to update to 5.0.1 on the device itself.. The TU file will be sufficient to build a custom IPSW with an upcoming redsn0w release.
    1. NakedFaerie's Avatar
      NakedFaerie -
      iFaith has just ruined my iPad1.
      I used the SAVE SHSH option then rebooted and now it reboots into iPhone mode and some of the folders have been removed and emptied out into pages now.

      How do I fix this? I don't want to reboot and have it in iPhone mode and the folders deleted.

      Do I have to restore or can this be fixed?
    1. xclusiveiphone's Avatar
      xclusiveiphone -
      Can any admin ban delusion950 already? I'm sure everyone on this forum is sick of this guy's negative remarks towards everyone's comments from what I've read so far. He's just spamming this forum with meaningless replies trying to tick people off.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by MuscleNerd View Post
      Just a heads up: if you're not already on 5.0.1, just use the latest TinyUmbrella to grab your blobs + APTicket (the latest version does this)...don't bother to update to 5.0.1 on the device itself.. The TU file will be sufficient to build a custom IPSW with an upcoming redsn0w release.
      Musclenerd, I know you're busy but is there any truth to the suggestion that the old bootrom 3GS can use the old blobs? I have the latest TU & have the 5.0 beta blob & the 5.1b (so I'm guessing 5.0.1 would be there as well.

      Any update on an iBooks fix and a redsn0w for 5.0.1 mainly the ability to create a no BB custom firmware?

      Many great thanks for all that you do sir. Without your hard work (& the work of many other devs) none of us would have the ability to free our devices & make them better than they already are.
    1. keenpois0n's Avatar
      keenpois0n -
      +1. would love to donate to you for all your work! amazing I must say

      and also, now you say TU captures APTickets as well, does this mean shsh thing is all fixed now?
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by ady199 View Post
      When will it support the 4s????
      Guaranteed when there is you won't have to post this question as it will be plastered EVERYWHERE.....

      Quote Originally Posted by keenpois0n View Post
      +1. would love to donate to you for all your work! amazing I must say

      and also, now you say TU captures APTickets as well, does this mean shsh thing is all fixed now?
      NO! Tiny Umbrella does NOT have anything to do with this. You need to use iFaith v1.4 to capture the APTicket that you are currently on. So IF you are on 5.0 then you use iFaith v1.4 to dump your shsh blobs (MAKE SURE YOU SAVE THEM
      IN A VERY SAFE PLACE), then use it to create custom IPSW, then when you have to restore back to 5.0 (or the current fw you were on when you dumped shsh blobs. IF you have already went to 5.0.1 before this tool was released then you can only go back to 5.0.1 on future restores (until iH8Sn0w updates to further fw upon its release) you open iFaith v1.4 again and put the device into pwned
      DFU mode (as you have to if you want to be able to restore via custom ipsw), open iTunes. Hold SHIFT and left click on RESTORE, choose the custom ipsw you built in iFaith v1.4 and BAM! It restores you back to 5.0 (or the fw you were on when you dumped blobs). There's exactly how you do it.

      TU (Timy Umbrella) has NOTHING to do with it.
    1. MuscleNerd's Avatar
      MuscleNerd -
      Quote Originally Posted by PoEtikly View Post
      TU (Timy Umbrella) has NOTHING to do with it.
      If TU had been saving APTickets back when the 5.0 window was still open, it would have a lot to do with it. Going forward (now that it does save the APTicket), you'll be able to use it for 5.0.1 and forward too. Until Apple changes things again.

      Quote Originally Posted by Tario70 View Post
      Musclenerd, I know you're busy but is there any truth to the suggestion that the old bootrom 3GS can use the old blobs? I have the latest TU & have the 5.0 beta blob & the 5.1b (so I'm guessing 5.0.1 would be there as well.
      Old bootrom 3GS doesn't need any blobs at all, because of the 24kpwn hack. So just restore to a custom ipsw that utilizes that hack (created by PwnageTool or redsn0w or sn0wbreeze).

      Any update on an iBooks fix and a redsn0w for 5.0.1 mainly the ability to create a no BB custom firmware?
      We do have the iBooks fix ready to go with the next redsn0w release (and that redsn0w will also support 5.0.1). I realize sn0wbreeze has a fix, but it uses a very very broad patch that eliminates the notion of sandboxes completely (which is not a safe thing to do..it give all apps access to all the data of all the other apps).

      Many great thanks for all that you do
      Thanks (and thanks keenpois0n!)
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by MuscleNerd View Post
      If TU had been saving APTickets back when the 5.0 window was still open, it would have a lot to do with it. Going forward (now that it does save the APTicket), you'll be able to use it for 5.0.1 and forward too. Until Apple changes things again.

      Thanks for clarifying that MuscleNerd. I was basically talking about the process of iFaith v1.4. TU is not needed for this process with iFaith v1.4. You can dump blobs, create CFW, and restore/downgrade without TU. I should have noted that or reworded it better.

      And also, thanks for all that you do. As you tons of us appreciate your work.
    1. NakedFaerie's Avatar
      NakedFaerie -
      I found it wasn't iFaith that did it, it was intelliscreenX.
      It looks like it expired and turns it into iPhone mode as after I installed it after a restore it did it again.

      bastard software.

      BTW, I cant see any replies after mine. I got an email saying there are 5 replies but I only see the one I made and nothing after PLEASE FIX!!! I think there are MANY requests to fix the site so why dont you fix it?
      And in mobile mode you cant post, it just doesn't post at all.
    1. PoEtikly's Avatar
      PoEtikly -
      Quote Originally Posted by NakedFaerie View Post
      I found it wasn't iFaith that did it, it was intelliscreenX.
      It looks like it expired and turns it into iPhone mode as after I installed it after a restore it did it again.

      bastard software.

      BTW, I cant see any replies after mine. I got an email saying there are 5 replies but I only see the one I made and nothing after PLEASE FIX!!! I think there are MANY requests to fix the site so why dont you fix it?
      And in mobile mode you cant post, it just doesn't post at all.
      It works great for me. I'm using mobile app as we speak. I'm even using Siri Dictation on my i4 to do this post. I had that issue before. Uninstall the app and redownload/install.
    1. Tario70's Avatar
      Tario70 -
      Quote Originally Posted by MuscleNerd View Post
      If TU had been saving APTickets back when the 5.0 window was still open, it would have a lot to do with it. Going forward (now that it does save the APTicket), you'll be able to use it for 5.0.1 and forward too. Until Apple changes things again.



      Old bootrom 3GS doesn't need any blobs at all, because of the 24kpwn hack. So just restore to a custom ipsw that utilizes that hack (created by PwnageTool or redsn0w or sn0wbreeze).



      We do have the iBooks fix ready to go with the next redsn0w release (and that redsn0w will also support 5.0.1). I realize sn0wbreeze has a fix, but it uses a very very broad patch that eliminates the notion of sandboxes completely (which is not a safe thing to do..it give all apps access to all the data of all the other apps).



      Thanks (and thanks keenpois0n!)

      Can't thank you enough for the response MuscleNerd. Hearing about the proper iBooks fix & the updated redsn0w that is coming, I'll just wait for that release before making the jump to iOS 5. Once again, Thank You, Thank You, Thank you.
    1. ZĄG's Avatar
      ZĄG -
      Quote Originally Posted by PoEtikly View Post
      It works great for me. I'm using mobile app as we speak. I'm even using Siri Dictation on my i4 to do this post. I had that issue before. Uninstall the app and redownload/install.
      Yeah, works for me too. Sometimes. On my phone i will have a hard time posting. What fonu mean by mobile mode. Like it won't post on you phone, or it won't post in mobile mode I you desktop? If its your phone then I recommend you download "Atomic Web Browser" from the app store. Just when your done posting, tap done then the page will start to load, quickly hit the "X" to stop it from loading, then tsp submit reply. I know it an extra step in the but typing on your phone in Aromic is soooo much better than Safari.

      Quote Originally Posted by TooSlo View Post
      Reread what I posted. I couldn't care less about this article until it supports the 4S. It's bad journalism (once again) on Anthony's part. I should know better by now than to bother opening any of his "news stories" before just using bing to find the whole story.
      LOL

      Wow. Just because it doesn't say what u want it to say, it's bad journalism.

      That's too much. I just giggled when I read that.
      How old are you? Can't be more tha 13 r sumthin. If u are well that's even funnier

      I suppose if you had an iPhone 4 and the 4S downgrade got perfected before the iPhone 4 and it was posted here, it would also be "bad journalism" because it's not the device you have. Wow.

      Kids these days. So ungrateful.
    1. Borice Joffrey Godard's Avatar
      Borice Joffrey Godard -
      There's something I don't understand with 24kpwn exploit. I've got an old bootrom 3GS with an unlock able BB, running 5.0. Because I installed H1siri (which didn't cause issues, but I don't want it anymore... yeah, I know, I shouldn't have done it in first time...) I want to restore it. iFaith tells me I don't have APTickets, because I'm eligible to 24kpwn.
      But, every time I want to restore to a no_BB firmware created with Redsn0w, I keep having errors, mostly 2005, the other seems normal, 3196 is when I don't use TU, and I guess it's just Apple not signing the FW (am I wrong?)... Using TU or not, on differents computers, that doesn't change anything.
      Any advice?
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by Borice Joffrey Godard View Post
      There's something I don't understand with 24kpwn exploit. I've got an old bootrom 3GS with an unlock able BB, running 5.0. Because I installed H1siri (which didn't cause issues, but I don't want it anymore... yeah, I know, I shouldn't have done it in first time...) I want to restore it. iFaith tells me I don't have APTickets, because I'm eligible to 24kpwn.
      But, every time I want to restore to a no_BB firmware created with Redsn0w, I keep having errors, mostly 2005, the other seems normal, 3196 is when I don't use TU, and I guess it's just Apple not signing the FW (am I wrong?)... Using TU or not, on differents computers, that doesn't change anything.
      Any advice?
      Try this:
      Jailbreak with latest redsnow if you havent already (I assume you have though since you installed H1siri). From the regular screen shift restore to a custom 5.0 firmware made for an old bootrom 3GS (snowbreeze gives you the option when making the custom firmware). You dont have to be in recovery or DFU mode. You most likely dont even have to run tiny umbrella.
    1. Borice Joffrey Godard's Avatar
      Borice Joffrey Godard -
      Nah, i tried building one with sn0wbreeze instead of Redsn0w, well, still the same, but now it's an error 21.
      I have to say I'm on mac, so no antivirus or third-part software...
      Tho, I'll try on a win7 tomorrow, and say what.
      Could someone explain the difference between redsn0w and sn0wbreeze when it's about creating firmwares?

      Edit: Same on another computer. Dunno what to do here. I'm restoring on 4.2.1 (which I've got SHSH) via TU and a Pwnagetool FW, with no problem... Retrying with 5.0 gives me a recovery screen while "preparing the iPhone for restore" (which means it passed the Apple verification?), and iTunes keeps waiting for hours...

      edit 2: I finally managed to restore to... 5.0.1, without any issue... don't understand why 5.0 is causing such problems. still, I should be able to downgrade...
    1. poky08's Avatar
      poky08 -
      Quote Originally Posted by Borice Joffrey Godard View Post
      There's something I don't understand with 24kpwn exploit. I've got an old bootrom 3GS with an unlock able BB, running 5.0. Because I installed H1siri (which didn't cause issues, but I don't want it anymore... yeah, I know, I shouldn't have done it in first time...) I want to restore it. iFaith tells me I don't have APTickets, because I'm eligible to 24kpwn.
      But, every time I want to restore to a no_BB firmware created with Redsn0w, I keep having errors, mostly 2005, the other seems normal, 3196 is when I don't use TU, and I guess it's just Apple not signing the FW (am I wrong?)... Using TU or not, on differents computers, that doesn't change anything.
      Any advice?
      Hello, I have the same problem, I have iOS 5.0 and I need to do a restore to a no_BB firmware (I try with a custom of redsn0w and snowbreeze, but every time I have errors in iTunes, using TU or not, on differents computers with windows or mac)
      What can I do?
    1. smrr's Avatar
      smrr -
      Has anybody tried this? any video link for this??
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by Borice Joffrey Godard View Post
      Nah, i tried building one with sn0wbreeze instead of Redsn0w, well, still the same, but now it's an error 21.
      I have to say I'm on mac, so no antivirus or third-part software...
      Tho, I'll try on a win7 tomorrow, and say what.
      Could someone explain the difference between redsn0w and sn0wbreeze when it's about creating firmwares?

      Edit: Same on another computer. Dunno what to do here. I'm restoring on 4.2.1 (which I've got SHSH) via TU and a Pwnagetool FW, with no problem... Retrying with 5.0 gives me a recovery screen while "preparing the iPhone for restore" (which means it passed the Apple verification?), and iTunes keeps waiting for hours...

      edit 2: I finally managed to restore to... 5.0.1, without any issue... don't understand why 5.0 is causing such problems. still, I should be able to downgrade...
      I restored to 5.0 no problem with my old bootrom 3GS. All I did was use the latest snowbreeze (2.8b11 I think), made a custom 5.0 using expert mode. Make sure to tell it you have an old bootrom 3GS when it asks. Then at the end I let snowbreeze put the phone in pwned DFU and pointed itunes to the custom firmware I just made. Restored no problem. No SHSH required.
    1. Borice Joffrey Godard's Avatar
      Borice Joffrey Godard -
      Quote Originally Posted by Simon View Post
      I restored to 5.0 no problem with my old bootrom 3GS. All I did was use the latest snowbreeze (2.8b11 I think), made a custom 5.0 using expert mode. Make sure to tell it you have an old bootrom 3GS when it asks. Then at the end I let snowbreeze put the phone in pwned DFU and pointed itunes to the custom firmware I just made. Restored no problem. No SHSH required.

      Well, that worked... Because I was mostly on my Mac, I used Redsn0w to pwnDFU my 3GS...
      Now, my biggest **** is that I shouldn't have done that in the middle of the night... I don't know how, or when but I updated the baseband to 6.15...

      But well, thank you for the support... It was just too easy to use the same software and OS for all the process...
    1. RRoD420's Avatar
      RRoD420 -
      @musclenerd
      you say the latest TU saves APTickets for 5.0.1+, but that goes against what's being said here. The article and description of the new iFaith says you need to dump the APTicket from the device? But you're saying TU does it now, so it doesn't need to be dumped from the device itself anymore? TU can generate it based on SHSH data?

      I did the Save SHSH in my TU but it doesn't specify APTicket was saved as well, it only says the same it always did regarding what version was able to be saved.